package com.aucma.report.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.report.mapper.RealTaskInfoMapper;
import com.aucma.report.domain.RealTaskInfo;
import com.aucma.report.service.IRealTaskInfoService;

/**
 * 任务信息Service业务层处理
 * 
 * @author Yinq
 * @date 2023-11-02
 */
@Service
public class RealTaskInfoServiceImpl implements IRealTaskInfoService 
{
    @Autowired
    private RealTaskInfoMapper realTaskInfoMapper;

    /**
     * 查询任务信息
     * 
     * @param objid 任务信息主键
     * @return 任务信息
     */
    @Override
    public RealTaskInfo selectRealTaskInfoByObjid(Long objid)
    {
        return realTaskInfoMapper.selectRealTaskInfoByObjid(objid);
    }

    /**
     * 查询任务信息列表
     * 
     * @param realTaskInfo 任务信息
     * @return 任务信息
     */
    @Override
    public List<RealTaskInfo> selectRealTaskInfoList(RealTaskInfo realTaskInfo)
    {
        return realTaskInfoMapper.selectRealTaskInfoList(realTaskInfo);
    }

    /**
     * 新增任务信息
     * 
     * @param realTaskInfo 任务信息
     * @return 结果
     */
    @Override
    public int insertRealTaskInfo(RealTaskInfo realTaskInfo)
    {
        return realTaskInfoMapper.insertRealTaskInfo(realTaskInfo);
    }

    /**
     * 修改任务信息
     * 
     * @param realTaskInfo 任务信息
     * @return 结果
     */
    @Override
    public int updateRealTaskInfo(RealTaskInfo realTaskInfo)
    {
        return realTaskInfoMapper.updateRealTaskInfo(realTaskInfo);
    }

    /**
     * 批量删除任务信息
     * 
     * @param objids 需要删除的任务信息主键
     * @return 结果
     */
    @Override
    public int deleteRealTaskInfoByObjids(Long[] objids)
    {
        return realTaskInfoMapper.deleteRealTaskInfoByObjids(objids);
    }

    /**
     * 删除任务信息信息
     * 
     * @param objid 任务信息主键
     * @return 结果
     */
    @Override
    public int deleteRealTaskInfoByObjid(Long objid)
    {
        return realTaskInfoMapper.deleteRealTaskInfoByObjid(objid);
    }
}
